#if !defined(AFX_SETUPPRINTDLG_H__D2C93657_B2EE_4380_8EB6_512B00C95894__INCLUDED_)
#define AFX_SETUPPRINTDLG_H__D2C93657_B2EE_4380_8EB6_512B00C95894__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SetupPrintDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSetupPrintDlg dialog
#include "resource.h"

class CSetupPrintDlg : public CaplTranslateDialog
{
// Construction
public:
	void DrawPages();
	CSetupPrintDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSetupPrintDlg)
	enum { IDD = IDD_PRINTSETUP_DLG };
	CString	m_printer_name;
	int		m_hPages;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSetupPrintDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSetupPrintDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPrintSetup();
	virtual void OnOK();
	afx_msg void OnChangePages();
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SETUPPRINTDLG_H__D2C93657_B2EE_4380_8EB6_512B00C95894__INCLUDED_)
